import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { InstitucionTipoEntradaController } from './institucion-tipo-entrada.controller';
import { InstitucionTipoEntradaService } from './institucion-tipo-entrada.service';
import { InstitucionModule } from '../institucion/institucion.module';
import { InstitucionTipoEntrada } from './entity/institucion-tipo-entrada.entity';
import { TipoEntrada } from './entity/tipo-entrada.entity';

@Module({
  imports: [
    TypeOrmModule.forFeature([InstitucionTipoEntrada, TipoEntrada]),
    InstitucionModule,
  ],
  controllers: [InstitucionTipoEntradaController],
  providers: [InstitucionTipoEntradaService],
})
export class InstitucionTipoEntradaModule {}
